<?
# Текстовая онлай игра "Тюряга" for DCMS 6.6.4
# Автор spamerBoy
# Ацка 551 514 865

# подключаем файлы
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

# заголовок
$set['title']='Кабурка "Сизого"';

# шапка
include_once '../../sys/inc/thead.php';
title();
err();
aut();

if (isset($user)){

$action=htmlspecialchars(trim($_GET['action']));

# блоки
switch($_GET['action']){

#********************* Главный блок *****************#
default:

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/game_start_step7_end.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Опа '.htmlspecialchars($user['nick']).' !<br/>
Заходи дружище !<br/>
Тут моя лачуга , охранники позволили мне здесь жить .<br/>
А взамен иногда розвлекаю их игрой в напёрстки .<br/>
Гони <img src="../img/icon/many.gif" alt="*" /> 5 баксов , попробуй свою удачу . 
</div>';

# выбор действий
echo '<div class="zona_aut"> Ваше действие :</div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_header_money.png" alt="*" /> <a href="kaburka.php?action=give_money"> Сиграть на бабки</a></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_level.png" alt="*" /> <a href="kaburka.php?action=give_trening"> Давай потренируемся сначала</a></div>';
echo '<div class="zona_rekl"><img src="../img/icon/curses.png" alt="*" /> <a href="kaburka.php?action=ochko"> Спасибо , но я чёт очкую</a></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>';

# конец
break;


#********************* очкует *****************#
case 'ochko':

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/game_start_step7_end.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
'.htmlspecialchars($user['nick']).' ну ты блядь как петух!<br/>
Раз дрейфиш , давай поиграем для начала на интерес . 
</div>';

# выбор действий
echo '<div class="zona_aut"> Ваше действие :</div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_header_money.png" alt="*" /> <a href="kaburka.php?action=give_trening"> Ладно , крути барабан.</a></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>';

# конец
break;



#********************* тестовая игра *****************#
case 'give_trening':

# текст
echo '<div class="zona_menu">
Правила не для головатых !!!<br/>
Угадаешь где шарик , умножишь свои бабки в 3 раза . <br/>
Ну так как мы играем как бабы , на интерес , то в случае выиграша , ты получишь фигу .
</div>';

# покажем сизого
echo '<div class="zona_rekl">
<img src="../img/game_start_step7_end.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Чего стоишь ?<br/>
Выбирай наперсткок !
</div>';

# покажем наперстки
echo '<div class="zona_rekl">
<a href="kaburka.php?action=give_trening_result&amp;id=1"><img src="../img/g102.gif" alt="*" /></a>
<a href="kaburka.php?action=give_trening_result&amp;id=2"><img src="../img/g102.gif" alt="*" /></a>
<a href="kaburka.php?action=give_trening_result&amp;id=3"><img src="../img/g102.gif" alt="*" /></a>
</div>';

# выбор действий
echo '<div class="zona_aut"> Ваше действие :</div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_header_money.png" alt="*" /> <a href="kaburka.php?action=give_money"> Играть на бабки</a></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>';

# конец
break;


#********************* результат тестовой игры *****************#
case 'give_trening_result':

$id=(int)$_GET['id'];


# проверим на коректность ввода
if($id && $id < 4){

# рандом
$rank=rand(1,3);

# покажем сизого
echo '<div class="zona_rekl">
<img src="../img/game_start_step7_end.gif" alt="*" /></div>';

# угадал
if($rank ==$id){

# текст
echo '<div class="zona_menu">
В рот мне дышель !<br/>
'.htmlspecialchars($user['nick']).' ты угадал !!! <br/>
Получи в награду фигу .
</div>';
}

# ошибка
else{

# текст
echo '<div class="zona_menu">
Жопа !<br/>
'.htmlspecialchars($user['nick']).' ты не угадал !!! <br/>
Ну бывает , не разстраивайся .
</div>';
}
}
# ошибка
else {
# покажем скрин
echo '<div class="zona_rekl"><img src="../img/game_start_step7_end.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Не ну я вижу ты ваще папух ???<br/>
<img src="../img/icon/many.gif" alt="*" />
</div>';
}

# выбор действий
echo '<div class="zona_aut"> Ваше действие :</div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_header_money.png" alt="*" /> <a href="kaburka.php?action=give_money"> Играть на бабки</a></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_level.png" alt="*" /> <a href="kaburka.php?action=give_trening"> Еще разок , Сизый</a></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>';

# конец
break;


#********************* на бабки *****************#
case 'give_money':

# бабки есть
if($user['zona_balls']>=5){

# текст
echo '<div class="zona_menu">
О !<br/>
На бабки играть ето уже по пацански .
</div>';

# покажем сизого
echo '<div class="zona_rekl">
<img src="../img/game_start_step7_end.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Выбирай наперсткок братуха !
</div>';

# покажем наперстки
echo '<div class="zona_rekl">
<a href="kaburka.php?action=give_money_result&amp;id=1"><img src="../img/g102.gif" alt="*" /></a>
<a href="kaburka.php?action=give_money_result&amp;id=2"><img src="../img/g102.gif" alt="*" /></a>
<a href="kaburka.php?action=give_money_result&amp;id=3"><img src="../img/g102.gif" alt="*" /></a>
</div>';

}

# нету лаве
else{

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/game_start_step7_end.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Не ну без бабок я не играю .<br/>
Когда будет <img src="../img/icon/many.gif" alt="*" /> 5 баксов в кармане приходи.
</div>';

}

# выбор действий
echo '<div class="zona_aut"> Ваше действие :</div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_reputation.png" alt="*" /> <a href="kaburka.php"> Вернутся в кабурку</a></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>';

# конец
break;



#********************* результат игры на бабки*****************#
case 'give_money_result':

$id=(int)$_GET['id'];

# проверим на коректность ввода
if($id && $user['zona_balls']>=5 && $id < 4){

# рандом
$rank=rand(1,3);

# покажем сизого
echo '<div class="zona_rekl">
<img src="../img/game_start_step7_end.gif" alt="*" /></div>';

# угадал
if($rank ==$id){

# добавим балы
mysql_query("UPDATE `user` SET `zona_balls`=`zona_balls`+'15' WHERE `id`='".$user['id']."'");

echo '<div class="zona_menu">
В рот мне дышель !<br/>
'.htmlspecialchars($user['nick']).' ты угадал !!! <br/>
Получи в награду <img src="../img/icon/many.gif" alt="*" /> 15 баксов .
</div>';
}

# ошибка
else{

# снимим балы
mysql_query("UPDATE `user` SET `zona_balls`=`zona_balls`-'5' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Жопа !<br/>
'.htmlspecialchars($user['nick']).' ты не угадал !!! <br/>
Ну бывает , не разстраивайся .
</div>';
}
}

# ошибка
else {
# покажем скрин
echo '<div class="zona_rekl"><img src="../img/game_start_step7_end.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Не ну я вижу ты ваще папух ???<br/>
<img src="../img/icon/many.gif" alt="*" />
</div>';
}
# выбор действий
echo '<div class="zona_aut"> Ваше действие :</div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_level.png" alt="*" /> <a href="kaburka.php?action=give_money"> Повторить</a></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_reputation.png" alt="*" /> <a href="kaburka.php"> В кабурку Сизого</a></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>';

# конец
break;
}
}
else{

echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';

}
include_once '../../sys/inc/tfoot.php';
?>
